(** Accès paresseux au contenu d'un fichier. Ce module est à utiliser en 
partenariat avec le module {{:ByteStream.html}ByteStream}.*)

(** [read_file filename] est un flot d'entiers 8-bits généré à partir du 
contenu du fichier [filename], autrement dit chaque fois que l'on force le flot, 
l'octet courant du fichier est renvoyé. Attention, cette fonction ouvre le 
fichier [filename] mais ne peut le refermer que lorsque le fichier a été 
entièrement lu, ce qui pourrait ne pas arriver auquel cas on a une « fuite » de 
descripteur de fichier.*)
val read_file: string -> int MyStream.t

(** [write_file filename is] écrit le contenu du flot d'entier 8-bits [is] dans le fichier [filename]. 
Attention au cas où le flot [is] est infini.*)
val write_file: string -> int MyStream.t -> unit

(** [compare filename1 filename2] renvoie [true] si les contenus des fichiers 
[filename1] et [filename2] sont identique; [false] sinon.*)
val compare: string -> string -> bool

(** Retour à la page du {{:../INF441-TD8-1.html}TD8}*)

